from abc import ABC
from typing.io import BinaryIO


class Compression(ABC):
    def __init__(self, chunk_size=256 * (10 ** 3), compression_ext='.comp'):
        self.chunk_size = chunk_size
        self.extension = compression_ext
        pass

    def compress(self, read_stream: BinaryIO, write_stream: BinaryIO):
        pass

    def decompress(self, read_stream: BinaryIO, write_stream: BinaryIO):
        pass
