from abc import ABC
import urllib
from urllib import parse


class Transmission(ABC):
    def __init__(self, server_url):
        self.url = server_url
        self.query_params = dict()
        pass

    @property
    def query_params(self):
        return self._query_params

    @query_params.setter
    def query_params(self, params: dict):
        self._query_params = '?' + urllib.parse.urlencode(params)

    def load_file(self, path):
        pass

    def send_file(self, path):
        pass
