import requests
from .transmission_base import Transmission


class RequestWrapper(Transmission):
    def __init__(self, server_url):
        super(RequestWrapper, self).__init__(server_url=server_url)

    def send_file(self, path):
        d = open(path, 'rb').read()
        requests.post(self.url, data=d)

    def load_file(self, path):
        d = open(path, 'wb')
        res = requests.get(self.url)
        d.write(res.content)
