from abc import ABC
from data.management.manager import Manager
import pickle


class ModelManager(ABC):
    def __init__(self, manager: Manager):
        self.manager = manager
        pass

    def save_model(self, model, path):
        """

        :param model: model to save
        :param path: where to save it
        :return:
        """
        pass

    def download_model(self, model_path, server_query_params):
        if server_query_params is not None:
            self.manager.download_file_from_server(model_path, server_query_params)

    def load_model(self, model_path):
        """

        """

        pass

    def send_model(self, model_path):
        """

        """
        self.manager.send_file(model_path)
        pass
